Sisimai::Reason::SystemFull(3pm)

NAME
Sisimai::Reason::SystemFull - Bounce reason is "systemfull" or not.

SYNOPSIS
    use Sisimai::Reason::SystemFull;
    print Sisimai::Reason::SystemFull->match('Mail System Full');   # 1

DESCRIPTION
"Sisimai::Reason::SystemFull" checks the bounce reason is "systemfull" or not. This class is called only "Sisimai::Reason" class.

This is the error that the destination mail server's storage (or spool) is full. Sisimai will set "systemfull" to the reason of email bounce if the value of "Status:" field in a bounce email is 4.3.1 or 5.3.1.

CLASS METHODS

  "text()"
text() method returns the fixed string "systemfull".

    print Sisimai::Reason::SystemFull->text;  # systemfull

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::SystemFull->match('Mail System Full');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "systemfull". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2020,2021,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.